API reference
Payouts
A Payout object is created when you receive funds from Stripe, or when you initiate a payout to either a bank account or debit card of a connected Stripe account. You can retrieve individual payouts, and list all payouts. Payouts are made on varying schedules, depending on your country and industry. Related guide: Receiving payouts
https://api.knoxapi.comCreate a payout
POST/v1/payouts
To send funds to your own bank account, create a new payout object. Your Stripe balance must cover the payout amount. If it doesn’t, you receive an “Insufficient Funds” error. If your API key is in test mode, money won’t actually be sent, though every other action occurs as if you’re in live mode. If you create a manual payout on a Stripe account that uses multiple payment source types, you need to specify the source type balance that the payout draws from. The balance object details available and pending amounts by source type.
Body parameters
amountintegerRequiredA positive integer in cents representing how much to payout.
currencystringRequiredThree-letter ISO currency code, in lowercase. Must be a supported currency.
descriptionstringAn arbitrary string attached to the object. Often useful for displaying to users.
destinationstringThe ID of a bank account or a card to send the payout to. If you don't provide a destination, we use the default external account for the specified currency.
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.methodstringThe method used to send this payout, which is
standardorinstant. We supportinstantfor payouts to debit cards and bank accounts in certain countries. Learn more about bank support for Instant Payouts.Possible valuesinstantstandard
payout_methodstringThe ID of a v2 FinancialAccount to send funds to.
source_typestringThe balance type of your Stripe balance to draw this payout from. Balances for different payment sources are kept separately. You can find the amounts with the Balances API. One of
bank_account,card, orfpx.Possible valuesbank_accountcardfpx
statement_descriptorstringA string that displays on the recipient's bank or card statement (up to 22 characters). A
statement_descriptorthat's longer than 22 characters return an error. Most banks truncate this information and display it inconsistently. Some banks might not display it at all. For US ACH payouts, this maps to the ACH Company Entry Description field, which the NACHA standard limits to 10 characters. Stripe truncates descriptors longer than 10 characters for US ACH payouts.
Returns
The payout object.
curl https://api.knoxapi.com/v1/payouts \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d amount=1100 \
-d currency=usdconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const payout = await stripe.payouts.create({
amount: 1100,
currency: 'usd',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
payout = client.v1.payouts.create(params={
"amount": 1100,
"currency": "usd",
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
payout = Stripe::Payout.create({
amount: 1100,
currency: 'usd',
}){
"amount": 1100,
"application_fee": null,
"application_fee_amount": null,
"arrival_date": 1234567890,
"automatic": true,
"balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"created": 1234567890,
"currency": "usd",
"description": "STRIPE PAYOUT",
"destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
"failure_balance_transaction": null,
"failure_code": null,
"failure_message": null,
"id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
"livemode": false,
"metadata": {},
"method": "standard",
"object": "payout",
"original_payout": null,
"reconciliation_status": "completed",
"reversed_by": null,
"source_type": "card",
"statement_descriptor": null,
"status": "in_transit",
"type": "bank_account",
"trace_id": {
"status": "status",
"value": null
},
"payout_method": null
}List all payouts
GET/v1/payouts
Returns a list of existing payouts sent to third-party bank accounts or payouts that Stripe sent to you. The payouts return in sorted order, with the most recently created payouts appearing first.
Query parameters
arrival_dateobject | integerOnly return payouts that are expected to arrive during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
createdobject | integerOnly return payouts that were created during the given date interval.
Show 4 child parameters
gtintegergteintegerltintegerlteinteger
destinationstringThe ID of an external account - only return payouts sent to this external account.
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.statusstringOnly return payouts that have the given status:
pending,paid,failed, orcanceled.
Returns
A list of payout objects.
curl -G https://api.knoxapi.com/v1/payouts \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const page = await stripe.payouts.list({
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
page = client.v1.payouts.list(params={
"limit": 3,
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
page = Stripe::Payout.list({
limit: 3,
}){
"object": "list",
"url": "/v1/payouts",
"has_more": false,
"data": [
{
"amount": 1100,
"application_fee": null,
"application_fee_amount": null,
"arrival_date": 1234567890,
"automatic": true,
"balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"created": 1234567890,
"currency": "usd",
"description": "STRIPE PAYOUT",
"destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
"failure_balance_transaction": null,
"failure_code": null,
"failure_message": null,
"id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
"livemode": false,
"metadata": {},
"method": "standard",
"object": "payout",
"original_payout": null,
"reconciliation_status": "completed",
"reversed_by": null,
"source_type": "card",
"statement_descriptor": null,
"status": "in_transit",
"type": "bank_account",
"trace_id": {
"status": "status",
"value": null
},
"payout_method": null
}
]
}Update a payout
POST/v1/payouts/{payout}
Updates the specified payout by setting the values of the parameters you pass. We don’t change parameters that you don’t provide. This request only accepts the metadata as arguments.
Path parameters
payoutstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.
Returns
The payout object.
curl https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4 \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d "metadata[order_id]=6735"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const payout = await stripe.payouts.update('po_1Pgc79B7WZ01zgkWu1KToYf4', {
metadata: {
order_id: '6735',
},
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
payout = client.v1.payouts.update("po_1Pgc79B7WZ01zgkWu1KToYf4", params={
"metadata": {
"order_id": "6735",
},
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
payout = Stripe::Payout.update('po_1Pgc79B7WZ01zgkWu1KToYf4', {
metadata: {
order_id: '6735',
},
}){
"amount": 1100,
"application_fee": null,
"application_fee_amount": null,
"arrival_date": 1234567890,
"automatic": true,
"balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"created": 1234567890,
"currency": "usd",
"description": "STRIPE PAYOUT",
"destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
"failure_balance_transaction": null,
"failure_code": null,
"failure_message": null,
"id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
"livemode": false,
"metadata": {},
"method": "standard",
"object": "payout",
"original_payout": null,
"reconciliation_status": "completed",
"reversed_by": null,
"source_type": "card",
"statement_descriptor": null,
"status": "in_transit",
"type": "bank_account",
"trace_id": {
"status": "status",
"value": null
},
"payout_method": null
}Retrieve a payout
GET/v1/payouts/{payout}
Retrieves the details of an existing payout. Supply the unique payout ID from either a payout creation request or the payout list. Stripe returns the corresponding payout information.
Path parameters
payoutstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The payout object.
curl https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4 \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const payout = await stripe.payouts.retrieve('po_1Pgc79B7WZ01zgkWu1KToYf4');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
payout = client.v1.payouts.retrieve("po_1Pgc79B7WZ01zgkWu1KToYf4")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
payout = Stripe::Payout.retrieve('po_1Pgc79B7WZ01zgkWu1KToYf4'){
"amount": 1100,
"application_fee": null,
"application_fee_amount": null,
"arrival_date": 1234567890,
"automatic": true,
"balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"created": 1234567890,
"currency": "usd",
"description": "STRIPE PAYOUT",
"destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
"failure_balance_transaction": null,
"failure_code": null,
"failure_message": null,
"id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
"livemode": false,
"metadata": {},
"method": "standard",
"object": "payout",
"original_payout": null,
"reconciliation_status": "completed",
"reversed_by": null,
"source_type": "card",
"statement_descriptor": null,
"status": "in_transit",
"type": "bank_account",
"trace_id": {
"status": "status",
"value": null
},
"payout_method": null
}Cancel a payout
POST/v1/payouts/{payout}/cancel
You can cancel a previously created payout if its status is pending. Stripe refunds the funds to your available balance. You can’t cancel automatic Stripe payouts.
Path parameters
payoutstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The payout object.
curl -X POST https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4/cancel \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const payout = await stripe.payouts.cancel('po_1Pgc79B7WZ01zgkWu1KToYf4');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
payout = client.v1.payouts.cancel("po_1Pgc79B7WZ01zgkWu1KToYf4")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
payout = Stripe::Payout.cancel('po_1Pgc79B7WZ01zgkWu1KToYf4'){
"amount": 1100,
"application_fee": null,
"application_fee_amount": null,
"arrival_date": 1234567890,
"automatic": true,
"balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"created": 1234567890,
"currency": "usd",
"description": "STRIPE PAYOUT",
"destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
"failure_balance_transaction": null,
"failure_code": null,
"failure_message": null,
"id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
"livemode": false,
"metadata": {},
"method": "standard",
"object": "payout",
"original_payout": null,
"reconciliation_status": "completed",
"reversed_by": null,
"source_type": "card",
"statement_descriptor": null,
"status": "in_transit",
"type": "bank_account",
"trace_id": {
"status": "status",
"value": null
},
"payout_method": null
}Reverse a payout
POST/v1/payouts/{payout}/reverse
Reverses a payout by debiting the destination bank account. At this time, you can only reverse payouts for connected accounts to US and Canadian bank accounts. If the payout is manual and in the pending status, use /v1/payouts/:id/cancel instead. By requesting a reversal through /v1/payouts/:id/reverse, you confirm that the authorized signatory of the selected bank account authorizes the debit on the bank account and that no other authorization is required.
Path parameters
payoutstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.
Returns
The payout object.
curl -X POST https://api.knoxapi.com/v1/payouts/po_1Pgc79B7WZ01zgkWu1KToYf4/reverse \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const payout = await stripe.payouts.reverse('po_1Pgc79B7WZ01zgkWu1KToYf4');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
payout = client.v1.payouts.reverse("po_1Pgc79B7WZ01zgkWu1KToYf4")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
payout = Stripe::Payout.reverse('po_1Pgc79B7WZ01zgkWu1KToYf4'){
"amount": 1100,
"application_fee": null,
"application_fee_amount": null,
"arrival_date": 1234567890,
"automatic": true,
"balance_transaction": "txn_1PgaxNB7WZ01zgkWEV3TLf40",
"created": 1234567890,
"currency": "usd",
"description": "STRIPE PAYOUT",
"destination": "ba_1Pgc79B7WZ01zgkWoU5vBiXt",
"failure_balance_transaction": null,
"failure_code": null,
"failure_message": null,
"id": "po_1Pgc79B7WZ01zgkWu1KToYf4",
"livemode": false,
"metadata": {},
"method": "standard",
"object": "payout",
"original_payout": null,
"reconciliation_status": "completed",
"reversed_by": null,
"source_type": "card",
"statement_descriptor": null,
"status": "in_transit",
"type": "bank_account",
"trace_id": {
"status": "status",
"value": null
},
"payout_method": null
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.